<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn,$zdb);
$success = false;

$maindb = 'attend';
$file = 'attendance.php';
$keyfld = "vouchdt";

$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`hours` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`advance` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`remark` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`hours` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`advance` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`remark` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchdt`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`hours`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY a.`advance`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`remark`";
}


$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT a.`staff`, a.`vouchdt`, DATE_FORMAT(a.vouchdt, '%d-%m-%Y') as `mydt`, a.`hours`, a.`advance`, a.`remark`, b.name as staf FROM `$maindb` a, `staff` b
          WHERE a.staff = b.code and $keyfld!='' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn,$query) or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = ['success' => true,
        'value' => $ctr,
        'vouchdt' => $r['vouchdt'],
        'mydt' => $r['mydt'],
        'staf' => $r['staf'],
        'hours' => $r['hours'],
        'advance' => $r['advance'],
        'remark' => $r['remark'],
        'action' => "$file?mode=edit&$keyfld=$r[vouchdt]",
    ];
    $ctr++;
}
//browse($rows);
header("Content-type: application\json");
echo json_encode($rows);
